# Wellbeing App (currently unnamed)

A freeware and open source wellbeing app.

## Guiding Principles

This app is being developed, researched and released using the following guiding principles:

1. **Research-informed**: Wherever possible, any intervention or activity suggested by the app will be supported by academic research. An up-to-date list of academic references (APA style) will be kept within the app with a very brief description on what segment of the app it informed. A more detailed breakdown may appear on my private website, at some point.
2. **Agile practises**: I will try to adopt agile coding practises as I go through. This means I aim to release useful features as soon as possible and reiterate, refactor and improve based on feedback. Using the in-app feedback button to let me know how things work for you is therefore the best way to gather this information at this stage.
3. **Free, Open Source**: Inspired by the likes of the NOBA project, the Linux community and countless other highly successful Free, Open Source Software (FOSS) projects out there, my aim is to offer a wide-ranging wellbeing tool available for free to anyone who seeks to use this. The only exception may be future iOS versions, due to the requirement for a paid Developer account with Apple. Even then, this version will be available for a fixed cost, not based on a subscription model.
4. **Potentially informing my own research**: This guiding principle may develop into something cohesive or fall away completely. I am currently a student at Glasgow University, completing my Master's in Science in Psychology (online conversion). Depending on how successful I am with developing this project, I may end up designing a research project around it to inform my dissertation / thesis. This is an idea I'm toying with. If this pans out, the research project will run separate from this app, but I will seek volunteers to gather anonymous usage data from. I will not build *any* telemetry into this app. Ever. Any sampling and data collection will run through a separate platform (something like LimeSurvey or SurveyMonkey).

## Psychological Principles and Criteria (rough draft)

Perhaps equally as important here are the psychological principles guiding decisions around what to include in this app. 

1. Research-informed. Define what this means. 
2. Definition of wellbeing. Not as a state or fixed endpoint. But similar to work life balance, as something we must always strive to maintain. 
3. The concept of a psychologically rich life, as defined by …

## Development Journals

My aim is to write a development journal (or potentially record one on YouTube now and again) whenever I have something meaningful to say. For example, questions like "Why Godot?" or "C# and GDScript? Tell us more..." are questions I will aim to answer there.

## License

<a rel="license" href="http://creativecommons.org/licenses/by-nc-nd/4.0/" target="_blank"><img alt="Creative Commons Licence" style="border-width:0" src="https://i.creativecommons.org/l/by-nc-nd/4.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-nc-nd/4.0/" target="_blank">Creative Commons Attribution-NonCommercial-NoDerivatives 4.0 International License</a>.